Opened 7 years ago

Closed 7 years ago

#1707 closed defect (fixed)

Regress on topology running make check - r9529

Reported by: sindile Owned by: strk
Priority: medium Milestone: PostGIS 2.0.1
Component: topology Version: 2.0.x
Keywords: Cc:

Description

PostgreSQL 9.1.3 on x86_64-unknown-linux-gnu, compiled by gcc (Ubuntu/Linaro? 4.6.3-1ubuntu2) 4.6.3, 64-bit

Postgis 2.0.0beta5SVN - r9529 - 2012-03-22 17:57:17

GEOS: 3.3.2-CAPI-1.7.2 PROJ: Rel. 4.8.0, 6 March 201

Running tests

regress/legacy_validate .. failed (diff expected obtained: /tmp/pgis_reg/test_1_diff) regress/legacy_predicate .. failed (diff expected obtained: /tmp/pgis_reg/test_2_diff) regress/legacy_invalid .. ok regress/sqlmm .. failed (diff expected obtained: /tmp/pgis_reg/test_4_diff) regress/legacy_query .. failed (diff expected obtained: /tmp/pgis_reg/test_5_diff) regress/addnode .. failed (diff expected obtained: /tmp/pgis_reg/test_6_diff) regress/addedge .. ok regress/addface .. failed (diff expected obtained: /tmp/pgis_reg/test_8_diff) regress/addface2.5d .. ok regress/addtopogeometrycolumn .. failed (diff expected obtained: /tmp/pgis_reg/test_10_diff) regress/polygonize .. ok regress/st_addisoedge .. ok regress/st_addisonode .. failed (diff expected obtained: /tmp/pgis_reg/test_13_diff) regress/st_addedgemodface .. failed (diff expected obtained: /tmp/pgis_reg/test_14_diff) regress/st_addedgenewfaces .. failed (diff expected obtained: /tmp/pgis_reg/test_15_diff) regress/st_changeedgegeom .. failed (diff expected obtained: /tmp/pgis_reg/test_16_diff) regress/st_createtopogeo .. ok regress/st_getfacegeometry .. ok regress/st_getfaceedges .. ok regress/st_modedgeheal .. ok regress/st_modedgesplit .. failed (diff expected obtained: /tmp/pgis_reg/test_21_diff) regress/st_newedgeheal .. failed (diff expected obtained: /tmp/pgis_reg/test_22_diff) regress/st_newedgessplit .. failed (diff expected obtained: /tmp/pgis_reg/test_23_diff) regress/st_remedgenewface .. failed (diff expected obtained: /tmp/pgis_reg/test_24_diff) regress/st_remedgemodface .. ok regress/topoelement .. failed (diff expected obtained: /tmp/pgis_reg/test_26_diff) regress/topoelementarray_agg .. ok regress/topogeo_addlinestring .. failed (diff expected obtained: /tmp/pgis_reg/test_28_diff) regress/topogeo_addpoint .. failed (diff expected obtained: /tmp/pgis_reg/test_29_diff) regress/topogeo_addpolygon .. failed (diff expected obtained: /tmp/pgis_reg/test_30_diff) regress/topogeometry_type .. failed (diff expected obtained: /tmp/pgis_reg/test_31_diff) regress/topo2.5d .. ok regress/totopogeom .. failed (diff expected obtained: /tmp/pgis_reg/test_33_diff) regress/droptopology .. ok regress/copytopology .. ok regress/createtopogeom .. failed (diff expected obtained: /tmp/pgis_reg/test_36_diff) regress/createtopology .. ok regress/gml .. ok regress/getnodebypoint .. ok regress/getedgebypoint .. ok regress/getfacebypoint .. ok regress/getringedges .. ok regress/layertrigger .. failed (diff expected obtained: /tmp/pgis_reg/test_43_diff) uninstall . failed (uninstall_topology.sql failed: /tmp/pgis_reg/uninstall.err)

. failed (uninstall_postgis.sql failed: /tmp/pgis_reg/uninstall.err) Run tests: 44 Failed: 25 make[2]: * [check] Error 25 make[2]: Leaving directory `/home/sindile/dev/cpp/postgis-svn/topology/test' make[1]: * [check] Error 2 make[1]: Leaving directory `/home/sindile/dev/cpp/postgis-svn/topology' make: * [check] Error 1

Attachments (1)

pgis_reg.zip (34.1 KB) - added by sindile 7 years ago.
Contents of folder pgis_reg

Download all attachments as: .zip

Change History (21)

comment:1 Changed 7 years ago by sindile

similar to the following closed ticket - http://trac.osgeo.org/postgis/ticket/760

comment:2 Changed 7 years ago by strk

Please run your "make check" passing RUNTESTFLAGS=-v, and use three consecutive curly braces to report (pre-formatted):

cd topology && make check RUNTESTFLAGS=-v

comment:3 Changed 7 years ago by sindile

here is the output from running make check RUNTESTFLAGS=-v

tion block +psql:load_topology.sql:185: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:188: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:191: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:194: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:197: ERROR: current transaction is aborted, commands ignored until end of transaction block

COMMIT

-max|node|22 -max|edge|26 -max|face|9 -ERROR: Invalid geometry type (MULTILINESTRING) passed to TopoGeo_AddPolygon, expected POLYGON -ERROR: Invalid geometry type (POINT) passed to TopoGeo_AddPolygon, expected POLYGON -iso_uni|10

-N|23
POINT(36 26)

-E|27|sn23|en23 -F|10 -iso_uni_hole|11

-N|24-N|25
POINT(9 28)
POINT(15 25)

-E|28|sn24|en24 -E|29|sn25|en25 -F|11 -F|12 -ex|4 -ex_union|6 -ex_union|7 -half|4 -E|30|sn14|en18 -F|13 -split|4 -split|13

-N|26
POINT(28 18)

-E|30|sn14|en26 -E|31|sn26|en18 -E|32|sn17|en26 -E|33|sn26|en13 -F|14 -F|15 -ex_hole|3 -ex_hole|5 -ex_hole|6 -ex_hole|7 -ex_hole|8 -ex_hole|13 -ex_hole|14 -ex_hole|15 -ex_hole_snap|3 -ex_hole_snap|5 -ex_hole_snap|6 -ex_hole_snap|7 -ex_hole_snap|8 -ex_hole_snap|13 -ex_hole_snap|14 -ex_hole_snap|15 -Topology 'city_data' dropped +ERROR: relation "limits" already exists +max|node| +max|edge| +max|edge| +max|face|0 +ERROR: function topogeo_addpolygon(unknown, unknown) does not exist at character 19 +ERROR: function topogeo_addpolygon(unknown, unknown) does not exist at character 19 +ERROR: function topogeo_addpolygon(unknown, unknown) does not exist at character 19 +ERROR: function topogeo_addpolygon(unknown, unknown) does not exist at character 24 +ERROR: function topogeo_addpolygon(unknown, unknown) does not exist at character 14 +ERROR: function topogeo_addpolygon(unknown, unknown) does not exist at character 20 +ERROR: function topogeo_addpolygon(unknown, unknown) does not exist at character 16 +ERROR: function topogeo_addpolygon(unknown, unknown) does not exist at character 17 +ERROR: function topogeo_addpolygon(unknown, unknown) does not exist at character 19 +ERROR: function topogeo_addpolygon(unknown, unknown, integer) does not exist at character 24 +ERROR: function droptopology(unknown) does not exist at character 8


regress/topogeometry_type .. failed (diff expected obtained: /tmp/pgis_reg/test_31_diff)


--- regress/topogeometry_type_expected 2012-03-22 17:49:10.948343421 +0200 +++ /tmp/pgis_reg/test_31_out 2012-03-23 09:54:22.737258284 +0200 @@ -1,29 +1,120 @@

BEGIN

-t -9 -22 -26 +psql:load_topology.sql:28: ERROR: schema "city_data" already exists +psql:load_topology.sql:35: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:36: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:37: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:38: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:39: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:40: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:41: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:42: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:43: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:46: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:51: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:54: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:57: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:60: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:63: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:66: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:69: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:72: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:75: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:78: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:81: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:84: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:87: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:90: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:93: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:96: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:99: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:102: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:105: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:108: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:111: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:114: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:117: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:122: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:125: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:128: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:131: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:134: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:137: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:140: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:143: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:146: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:149: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:152: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:155: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:158: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:161: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:164: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:167: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:170: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:173: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:176: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:179: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:182: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:185: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:188: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:191: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:194: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_topology.sql:197: ERROR: current transaction is aborted, commands ignored until end of transaction block

COMMIT BEGIN 1 2 3

+psql:load_features.sql:68: ERROR: Face 3 does not exist in topology city_data +psql:load_features.sql:76: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_features.sql:83: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_features.sql:90: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_features.sql:97: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_features.sql:106: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_features.sql:113: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_features.sql:120: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_features.sql:127: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_features.sql:137: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_features.sql:144: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_features.sql:151: ERROR: current transaction is aborted, commands ignored until end of transaction block +psql:load_features.sql:158: ERROR: current transaction is aborted, commands ignored until end of transaction block

COMMIT

-4 -features.big_parcels.the_geom SRID:0 TYPE:MULTIPOLYGON DIMS:2 -5 -6 -features.big_signs.the_geom SRID:0 TYPE:MULTIPOINT DIMS:2 -GeometryType?(traffic_signs)|MULTIPOINT -ST_GeometryType(traffic_signs)|ST_MultiPoint -GeometryType?(city_streets)|MULTILINESTRING -ST_GeometryType(city_streets)|ST_MultiLinestring -GeometryType?(land_parcels)|MULTIPOLYGON -ST_GeometryType(land_parcels)|ST_MultiPolygon -GeometryType?(big_signs)|MULTIPOINT -ST_GeometryType(big_signs)|ST_MultiPoint -GeometryType?(big_streets)|MULTILINESTRING -ST_GeometryType(big_streets)|ST_MultiLinestring -GeometryType?(big_parcels)|MULTIPOLYGON -ST_GeometryType(big_parcels)|ST_MultiPolygon +psql:more_features.sql:11: ERROR: schema "features" does not exist at character 13 +psql:more_features.sql:19: ERROR: schema "features" does not exist at character 13 +psql:more_features.sql:27: ERROR: schema "features" does not exist at character 13 +psql:more_features.sql:35: ERROR: schema "features" does not exist at character 13 +psql:more_features.sql:44: ERROR: schema "features" does not exist at character 13 +psql:more_features.sql:51: ERROR: schema "features" does not exist at character 13 +psql:more_features.sql:58: ERROR: schema "features" does not exist at character 13 +psql:more_features.sql:65: ERROR: schema "features" does not exist at character 13 +psql:more_features.sql:74: ERROR: schema "features" does not exist at character 13 +psql:more_features.sql:81: ERROR: schema "features" does not exist at character 13 +psql:more_features.sql:88: ERROR: schema "features" does not exist at character 13 +psql:more_features.sql:95: ERROR: schema "features" does not exist at character 13 +psql:hierarchy.sql:11: ERROR: schema "features" does not exist +psql:hierarchy.sql:16: ERROR: schema "features" does not exist +psql:hierarchy.sql:18: ERROR: Schema 'features' is not a valid schemaname +psql:hierarchy.sql:25: ERROR: schema "features" does not exist at character 13 +psql:hierarchy.sql:32: ERROR: schema "features" does not exist at character 13 +psql:hierarchy.sql:42: ERROR: schema "features" does not exist at character 13 +psql:hierarchy.sql:50: ERROR: schema "features" does not exist +psql:hierarchy.sql:55: ERROR: schema "features" does not exist +psql:hierarchy.sql:65: ERROR: schema "features" does not exist at character 13 +psql:hierarchy.sql:75: ERROR: schema "features" does not exist at character 13 +psql:hierarchy.sql:83: ERROR: schema "features" does not exist +psql:hierarchy.sql:88: ERROR: schema "features" does not exist +psql:hierarchy.sql:90: ERROR: Schema 'features' is not a valid schemaname +psql:hierarchy.sql:97: ERROR: schema "features" does not exist at character 13 +ERROR: schema "features" does not exist at character 76 +ERROR: schema "features" does not exist at character 82 +ERROR: schema "features" does not exist at character 75 +ERROR: schema "features" does not exist at character 81 +ERROR: schema "features" does not exist at character 75 +ERROR: schema "features" does not exist at character 81 +ERROR: schema "features" does not exist at character 72 +ERROR: schema "features" does not exist at character 78 +ERROR: schema "features" does not exist at character 74 +ERROR: schema "features" does not exist at character 80 +ERROR: schema "features" does not exist at character 74 +ERROR: schema "features" does not exist at character 80

Topology 'city_data' dropped

+ERROR: schema "features" does not exist


regress/topo2.5d .. ok regress/totopogeom .. failed (diff expected obtained: /tmp/pgis_reg/test_33_diff)


--- regress/totopogeom_expected 2012-03-22 17:49:10.960343477 +0200 +++ /tmp/pgis_reg/test_33_out 2012-03-23 09:54:24.965269321 +0200 @@ -1,35 +1,48 @@ -create|t -ERROR: No topology with name "unexistent" in topology.topology -ERROR: No layer with id "1" in topology "tt" -ERROR: No topology with name "" in topology.topology -simple_puntual_layer|1 -hierarchical_layer|2 -simple_lineal_layer|3 -simple_areal_layer|4 -simple_collection_layer|5 -ERROR: No layer with id "30" in topology "tt" -ERROR: Layer "2" of topology "tt" is hierarchical, cannot convert to it. -ERROR: Layer "1" of topology "tt" is puntal, cannot hold a lineal feature. -ERROR: Layer "4" of topology "tt" is areal, cannot hold a lineal feature. -ERROR: Layer "3" of topology "tt" is lineal, cannot hold a puntal feature. -ERROR: Layer "4" of topology "tt" is areal, cannot hold a puntal feature. -ERROR: Layer "1" of topology "tt" is puntal, cannot hold an areal feature. -ERROR: Layer "3" of topology "tt" is lineal, cannot hold an areal feature. -POINT(0 0)|t -LINESTRING(0 10,10 10)|t -POLYGON((0 20,10 20,5 30,0 20),(2 22,8 22,5 28,2 22))|t -MULTIPOINT(0 -10,5 -10)|t -MULTILINESTRING((-1 10,-10 10),(-10 8,-2 9))|t -MULTIPOLYGON(((100 20,110 20,105 30,100 20),(102 22,108 22,105 28,102 22)),((80 20,90 20,90 60,80 20)))|t -GEOMETRYCOLLECTION(POINT(-100 -100),LINESTRING(-100 -90,-90 -90),POLYGON((-100 -80,-90 -80,-95 -70,-100 -80),(-98 -78,-92 -78,-95 -72,-98 -78)),MULTIPOINT(-100 -110,-95 -110),LINESTRING EMPTY,MULTILINESTRING((-101 -90,-110 -90),(-110 -92,-102 -91)),MULTIPOLYGON(((0 -80,10 -80,5 -70,0 -80),(2 -78,8 -78,5 -72,2 -78)),((-20 -80,-10 -80,-10 -40,-20 -80))))|GEOMETRYCOLLECTION(MULTIPOLYGON(((-100 -80,-95 -70,-90 -80,-100 -80),(-98 -78,-92 -78,-95 -72,-98 -78)),((0 -80,5 -70,10 -80,0 -80),(2 -78,8 -78,5 -72,2 -78)),((-20 -80,-10 -40,-10 -80,-20 -80))),MULTILINESTRING((-110 -92,-102 -91),(-101 -90,-110 -90),(-100 -90,-90 -90)),MULTIPOINT(-100 -110,-100 -100,-95 -110)) -MULTIPOINT EMPTY -MULTIPOINT EMPTY -MULTILINESTRING EMPTY -MULTILINESTRING EMPTY -MULTIPOLYGON EMPTY -MULTIPOLYGON EMPTY -GEOMETRYCOLLECTION EMPTY -tolerance_1|0.5 -tolerance_topo_1|0.5 -tolerance_0|0 -Topology 'tt' dropped +ERROR: function createtopology(unknown) does not exist at character 18 +ERROR: function totopogeom(geometry, unknown, integer) does not exist at character 8 +ERROR: function totopogeom(geometry, unknown, integer) does not exist at character 8 +ERROR: function totopogeom(unknown, unknown, integer) does not exist at character 8 +ERROR: function totopogeom(geometry, unknown, integer) does not exist at character 8 +ERROR: function totopogeom(geometry, unknown, integer) does not exist at character 8 +ERROR: function totopogeom(geometry, unknown, unknown) does not exist at character 8 +ERROR: schema "tt" does not exist +ERROR: function addtopogeometrycolumn(unknown, unknown, unknown, unknown, unknown) does not exist at character 32 +ERROR: schema "tt" does not exist +ERROR: function addtopogeometrycolumn(unknown, unknown, unknown, unknown, unknown, integer) does not exist at character 30 +ERROR: schema "tt" does not exist +ERROR: function addtopogeometrycolumn(unknown, unknown, unknown, unknown, unknown) does not exist at character 31 +ERROR: schema "tt" does not exist +ERROR: function addtopogeometrycolumn(unknown, unknown, unknown, unknown, unknown) does not exist at character 30 +ERROR: schema "tt" does not exist +ERROR: function addtopogeometrycolumn(unknown, unknown, unknown, unknown, unknown) does not exist at character 35 +ERROR: function totopogeom(geometry, unknown, integer) does not exist at character 8 +ERROR: function totopogeom(geometry, unknown, integer) does not exist at character 8 +ERROR: function totopogeom(geometry, unknown, integer) does not exist at character 8 +ERROR: function totopogeom(geometry, unknown, integer) does not exist at character 8 +ERROR: function totopogeom(geometry, unknown, integer) does not exist at character 8 +ERROR: function totopogeom(geometry, unknown, integer) does not exist at character 8 +ERROR: function totopogeom(geometry, unknown, integer) does not exist at character 8 +ERROR: function totopogeom(geometry, unknown, integer) does not exist at character 8 +ERROR: function totopogeom(geometry, unknown, integer) does not exist at character 83 +ERROR: function totopogeom(geometry, unknown, integer) does not exist at character 96 +ERROR: function totopogeom(geometry, unknown, integer) does not exist at character 133 +ERROR: function totopogeom(geometry, unknown, integer) does not exist at character 100 +ERROR: function totopogeom(geometry, unknown, integer) does not exist at character 119 +ERROR: function totopogeom(geometry, unknown, integer) does not exist at character 186 +ERROR: function totopogeom(geometry, unknown, integer) does not exist at character 428 +ERROR: function totopogeom(unknown, unknown, integer) does not exist at character 18 +ERROR: function totopogeom(unknown, unknown, integer) does not exist at character 18 +ERROR: function totopogeom(unknown, unknown, integer) does not exist at character 18 +ERROR: function totopogeom(unknown, unknown, integer) does not exist at character 18 +ERROR: function totopogeom(unknown, unknown, integer) does not exist at character 18 +ERROR: function totopogeom(unknown, unknown, integer) does not exist at character 18 +ERROR: function totopogeom(unknown, unknown, integer) does not exist at character 18 +ERROR: function totopogeom(geometry, unknown, integer, integer) does not exist at character 218 +ERROR: function totopogeom(geometry, unknown, integer) does not exist at character 218 +ERROR: function totopogeom(geometry, unknown, integer) does not exist at character 218 +ERROR: schema "tt" does not exist +ERROR: schema "tt" does not exist +ERROR: schema "tt" does not exist +ERROR: schema "tt" does not exist +ERROR: schema "tt" does not exist +ERROR: function droptopology(unknown) does not exist at character 8


regress/droptopology .. ok regress/copytopology .. ok regress/createtopogeom .. failed (diff expected obtained: /tmp/pgis_reg/test_36_diff)


--- regress/createtopogeom_expected 2012-03-22 17:49:10.980343581 +0200 +++ /tmp/pgis_reg/test_36_out 2012-03-23 09:54:31.545301953 +0200 @@ -7,26 +7,26 @@

ERROR: Node 78 does not exist in topology MiX n1|1 1|2|1

-ERROR: Invalid TopoGeometry type 5 (must be in the range 1..4) -ERROR: Invalid TopoGeometry type 0 (must be in the range 1..4) -l2|2 -n2|2 -e1|1 -ERROR: A TopoGeometry of type 2 cannot contain topology elements of type 1 -L1|MULTILINESTRING((0 0,10 0)) -l3|3 -e2|2 -f1|1 -ERROR: A Layer of type 3 cannot contain a TopoGeometry of type 2 -ERROR: A TopoGeometry of type 3 cannot contain topology elements of type 2 -A1|MULTIPOLYGON(((10 0,0 0,5 5,10 0))) -l4|4 -MP|MULTIPOINT(0 0) -ML|MULTILINESTRING((0 0,10 0)) -MA|MULTIPOLYGON(((10 0,0 0,5 5,10 0))) -MM|GEOMETRYCOLLECTION(POLYGON((10 0,0 0,5 5,10 0)),LINESTRING(0 0,10 0),POINT(0 0)) -POINT EMPTY|MULTIPOINT EMPTY -LINESTRING EMPTY|MULTILINESTRING EMPTY -POLYGON EMPTY|MULTIPOLYGON EMPTY -GEOMETRYCOLLECTION EMPTY|GEOMETRYCOLLECTION EMPTY -Topology 'MiX' dropped +ERROR: function createtopogeom(unknown, integer, integer, unknown) does not exist at character 8 +ERROR: function createtopogeom(unknown, integer, integer, unknown) does not exist at character 8 +ERROR: function addtopogeometrycolumn(unknown, unknown, unknown, unknown, unknown) does not exist at character 14 +ERROR: function addnode(unknown, unknown) does not exist at character 14 +ERROR: function addedge(unknown, unknown) does not exist at character 14 +ERROR: function createtopogeom(unknown, integer, integer, unknown) does not exist at character 8 +ERROR: function createtopogeom(unknown, integer, integer, unknown) does not exist at character 24 +ERROR: function addtopogeometrycolumn(unknown, unknown, unknown, unknown, unknown) does not exist at character 14 +ERROR: function addedge(unknown, unknown) does not exist at character 14 +ERROR: function addface(unknown, unknown) does not exist at character 14 +ERROR: function createtopogeom(unknown, integer, integer, unknown) does not exist at character 14 +ERROR: function createtopogeom(unknown, integer, integer, unknown) does not exist at character 14 +ERROR: function createtopogeom(unknown, integer, integer, unknown) does not exist at character 24 +ERROR: function addtopogeometrycolumn(unknown, unknown, unknown, unknown, unknown) does not exist at character 14 +ERROR: function createtopogeom(unknown, integer, integer, unknown) does not exist at character 24 +ERROR: function createtopogeom(unknown, integer, integer, unknown) does not exist at character 24 +ERROR: function createtopogeom(unknown, integer, integer, unknown) does not exist at character 24 +ERROR: function createtopogeom(unknown, integer, integer, unknown) does not exist at character 24 +ERROR: function createtopogeom(unknown, integer, integer, unknown) does not exist at character 34 +ERROR: function createtopogeom(unknown, integer, integer, unknown) does not exist at character 39 +ERROR: function createtopogeom(unknown, integer, integer, unknown) does not exist at character 36 +ERROR: function createtopogeom(unknown, integer, integer, unknown) does not exist at character 47 +ERROR: function droptopology(unknown) does not exist at character 8


regress/createtopology .. ok regress/gml .. ok regress/getnodebypoint .. ok regress/getedgebypoint .. ok regress/getfacebypoint .. ok regress/getringedges .. ok regress/layertrigger .. failed (diff expected obtained: /tmp/pgis_reg/test_43_diff)


--- regress/layertrigger_expected 2012-03-22 17:49:10.972343541 +0200 +++ /tmp/pgis_reg/test_43_out 2012-03-23 09:54:44.909368232 +0200 @@ -4,13 +4,14 @@

t2.l1|1 t2.rel|1|1|1|1 ERROR: The topology.layer table cannot be updated

+after update: topology.layer |61|1|MiX|poi|feat|1|0|

after update: topology.layer |2|1|t2|l1|g|1|0| BEGIN

-after delete n.1: topology.layer count|1 +after delete n.1: topology.layer count|2

COMMIT BEGIN

-after delete n.2: topology.layer count|1 +after delete n.2: topology.layer count|2

COMMIT

-after delete n.3: topology.layer count|0 +after delete n.3: topology.layer count|1

Topology 't2' dropped Topology 't1' dropped


uninstall . failed (uninstall_topology.sql failed: /tmp/pgis_reg/uninstall.err)


psql:/home/sindile/dev/cpp/postgis-svn/regress/00-regress-install/share/contrib/postgis/uninstall_topology.sql:33: ERROR: cannot drop function topology.relationtrigger() because other objects depend on it DETAIL: trigger relation_integrity_checks on table "MiX".relation depends on function topology.relationtrigger() HINT: Use DROP ... CASCADE to drop the dependent objects too.


. failed (uninstall_postgis.sql failed: /tmp/pgis_reg/uninstall.err)


psql:/home/sindile/dev/cpp/postgis-svn/regress/00-regress-install/share/contrib/postgis/uninstall_postgis.sql:39: ERROR: cannot drop operator class gist_geometry_ops_2d for access method gist because other objects depend on it DETAIL: index "MiX".face_gist depends on operator class gist_geometry_ops_2d for access method gist index "MiX".node_gist depends on operator class gist_geometry_ops_2d for access method gist index "MiX".edge_gist depends on operator class gist_geometry_ops_2d for access method gist HINT: Use DROP ... CASCADE to drop the dependent objects too.


Run tests: 44 Failed: 25 make[1]: * [check] Error 25 make[1]: Leaving directory `/home/sindile/dev/cpp/postgis-svn/topology/test' make: * [check] Error 2

Changed 7 years ago by sindile

Attachment: pgis_reg.zip added

Contents of folder pgis_reg

comment:4 Changed 7 years ago by pramsey

Component: postgistopology
Owner: changed from pramsey to strk

comment:5 Changed 7 years ago by strk

First test is surprising (legacy_validate_expected):

+ERROR:  function createtopology(unknown) does not exist at character 8

But regress.log says topology is added:

CREATE FUNCTION
                     addtosearchpath                     
---------------------------------------------------------
 topology has been added to end of database search_path 
(1 row)

SET
COMMENT

@sindle : could you try this:

cd topology/test
../../regress/run_test --topology --nodrop -v regress/legacy_validate.sql
psql postgis_reg
> show search_path;
> select createtopology('tt1');

comment:6 Changed 7 years ago by sindile

cd topology/test

../../regress/run_test --topology --nodrop -v regress/legacy_validate.sql

Creating spatial db postgis_reg createlang: language "plpgsql" is already installed in database "postgis_reg" Preparing spatial db postgis_reg Adding topology support TMPDIR is /tmp/pgis_reg PATH is /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:$JAVA_HOME:$JRE_HOME

PostgreSQL 9.1.3 on x86_64-unknown-linux-gnu, compiled by gcc (Ubuntu/Linaro? 4.6.3-1ubuntu2) 4.6.3, 64-bit Postgis 2.0.0beta5SVN - r9529 - 2012-03-22 17:57:17

GEOS: 3.3.2-CAPI-1.7.2 PROJ: Rel. 4.8.0, 6 March 2012

Running tests

regress/legacy_validate .. failed (diff expected obtained: /tmp/pgis_reg/test_1_diff)


--- regress/legacy_validate_expected 2012-03-22 17:49:10.972343541 +0200 +++ /tmp/pgis_reg/test_1_out 2012-03-24 08:19:47.981553143 +0200 @@ -7,6 +7,6 @@

Topology validation errors follow: End of topology validation errors Topology 'city_data' dropped

-t -Empty topology errors|0 -Topology 'tt' dropped +ERROR: function createtopology(unknown) does not exist at character 8 +ERROR: function validatetopology(unknown) does not exist at character 47 +ERROR: function droptopology(unknown) does not exist at character 8


Run tests: 1 Failed: 1psq

show search_path;

search_path


public

(1 row)

select createtopology('tt1'); select createtopology('tt1');

ERROR: function createtopology(unknown) does not exist LINE 1: select createtopology('tt1');

HINT: No function matches the given name and argument types. You might need to add explicit type casts.

comment:7 in reply to:  6 Changed 7 years ago by strk

Status: newassigned

Replying to sindile:

cd topology/test

../../regress/run_test --topology --nodrop -v regress/legacy_validate.sql

...

show search_path;

search_path


public

(1 row)

Ok, there's a problem in there.

Theoretically, loading topology/topology.sql in a newly created database should set search_path to be something like "public,topology".

This seems to be not working for you.

Part of the problem here could be that topology.sql isn't being wrapped in a single transaction so you may be facing an error during load w/out noticing.

For next step I suggest you try to debug that part, so:

createdb testdb
psql --set ON_ERROR_STOP=1 -f postgis/postgis.sql testdb 
psql --set ON_ERROR_STOP=1 -f topology/topology.sql testdb 

Make sure topology was enabled at configure time (maybe drop topology/topology.sql and run "make" again to be sure).

comment:8 Changed 7 years ago by robe

Milestone: PostGIS 2.0.0PostGIS 2.0.1

comment:9 Changed 7 years ago by strk

@sindile : had a chance to try this ?

comment:10 Changed 7 years ago by sindile

@strk: i have tried it on the recently released postgis 2.0

psql --set ON_ERROR_STOP=1 -f topology/topology.sql testdb

CREATE SCHEMA BEGIN psql:topology/topology.sql:215: NOTICE: CREATE TABLE will create implicit sequence "topology_id_seq" for serial column "topology.id" psql:topology/topology.sql:215: NOTICE: CREATE TABLE / PRIMARY KEY will create implicit index "topology_pkey" for table "topology" psql:topology/topology.sql:215: NOTICE: CREATE TABLE / UNIQUE will create implicit index "topology_name_key" for table "topology" CREATE TABLE CREATE FUNCTION psql:topology/topology.sql:316: NOTICE: CREATE TABLE / PRIMARY KEY will create implicit index "layer_pkey" for table "layer" psql:topology/topology.sql:316: NOTICE: CREATE TABLE / UNIQUE will create implicit index "layer_schema_name_table_name_feature_column_key" for table "layer" CREATE TABLE CREATE TRIGGER CREATE TYPE CREATE TYPE CREATE DOMAIN ALTER DOMAIN ALTER DOMAIN ALTER DOMAIN CREATE DOMAIN CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE CAST CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION psql:topology/topology.sql:4197: NOTICE: aggregate topology.topoelementarray_agg(topology.topoelement) does not exist, skipping DROP AGGREGATE CREATE AGGREGATE CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE TYPE CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION CREATE FUNCTION

addtosearchpath


topology has been added to end of database search_path

(1 row)

COMMIT

comment:11 Changed 7 years ago by strk

Seems all good to me. Now:

$ psql testdb
testdb=> SELECT topogeo_addpolygon('fake', 'POLYGON EMPTY');

comment:12 Changed 7 years ago by sindile

SELECT topogeo_addpolygon('fake', 'POLYGON EMPTY');

ERROR: function topogeo_addpolygon(unknown, unknown) does not exist LINE 1: SELECT topogeo_addpolygon('fake', 'POLYGON EMPTY');

HINT: No function matches the given name and argument types. You might need to add explicit type casts. testdb=# SELECT topogeom_addpolygon('fake', 'POLYGON EMPTY'); ERROR: function topogeom_addpolygon(unknown, unknown) does not exist LINE 1: SELECT topogeom_addpolygon('fake', 'POLYGON EMPTY');

HINT: No function matches the given name and argument types. You might need to add explicit type casts.

comment:13 Changed 7 years ago by strk

argh. then try:

$ psql testdb
testdb=> SHOW search_path;

comment:14 Changed 7 years ago by sindile

search_path


public

(1 row)

comment:15 Changed 7 years ago by strk

select setting,boot_val,reset_val from pg_settings where name = 'search_path';
select topology.AddToSearchPath('topology');
show search_path;
select setting,boot_val,reset_val from pg_settings where name = 'search_path';

comment:16 Changed 7 years ago by robe

sindile can you confirm that the user account you are testing with doesn't have it's own custom search path. I suspect it might and is overriding the database search path.

comment:17 Changed 7 years ago by sindile

@strk: that was the problem

comment:18 Changed 7 years ago by strk

We should be requesting NOT to source .psqlrc, where's this "user account search path" stored ?

comment:19 Changed 7 years ago by sindile

@strk reinstalled postgis and everything works well (make check - all tests have passed).

comment:20 Changed 7 years ago by strk

Resolution: fixed
Status: assignedclosed
Note: See TracTickets for help on using tickets.